<template>
  <v-layout fill-height class=" writing-feedback-activity" justify-center>
    <message-not-feedback v-if="$vuetify.breakpoint.mdAndDown && !hasMatches"/>
    <feedback-content :feedback="feedback" v-if="$vuetify.breakpoint.lgAndUp || hasMatches"/>
  </v-layout>
</template>

<script>
import FeedbackContent from './components/FeedbackContent/Index';
import MessageNotFeedback from './components/MessageNotFeedback';

export default {
  props: {
    feedback: {
      type: Object,
    },
  },
  components: {
    MessageNotFeedback,
    FeedbackContent,
  },
  computed: {
    hasMatches() {
      return this.feedback.matches ? this.feedback.matches.length > 0 : false;
    },
  },
};
</script>

<style lang="sass">
  @import ~@/styles/defaults/variables
  @import ~@/styles/defaults/mobileFirst
  .writing-feedback-activity
    width: 100%
    &__wrapper
      width: 95%
      padding: 10px
    +media-min-sm()
      height: 100%
      &__wrapper
        height: 100%

</style>
